## swift 2.17.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

dnspython>=1.14.0  # http://www.dnspython.org/LICENSE
eventlet>=0.17.4  # MIT
greenlet>=0.3.1
netifaces>=0.5,!=0.10.0,!=0.10.1
pastedeploy>=1.3.3
six>=1.9.0
xattr>=0.4
PyECLib>=1.3.1                          # BSD
cryptography!=2.0,>=1.6                 # BSD/Apache-2.0

=== debian/changelog ===
swift (2.17.0-4) unstable; urgency=medium

  * Remove python-keystonemiddleware as runtime depends
  * Add python-keystonemiddleware | swauth as recommends for swift-proxy
  * d/p/Fix_tests_using_O_TMPFILE.patch: Refresh from current upstream review

 -- Ondřej Nový <onovy@debian.org>  Tue, 13 Mar 2018 13:07:06 +0100

swift (2.17.0-3) unstable; urgency=medium

  * Add python-keystonemiddleware as runtime depends.
  * Removed versions when satisfied in Stretch.
  * Removed breaks/replaces when transition is already done in Stretch.
  * Refreshed patches.
  * Add Fix_tests_using_O_TMPFILE.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Mar 2018 08:58:19 +0000

swift (2.17.0-2) unstable; urgency=medium

  * Uploading to unstable
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast
  * d/copyright: Bump my copyright year

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Feb 2018 12:49:44 +0100

swift (2.17.0-1) experimental; urgency=medium

  * New upstream release
  * Sync with unstable
  * Standards-Version is 4.1.3 now (no change)

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Feb 2018 15:45:22 +0100

swift (2.16.0-1) experimental; urgency=medium

  * New upstream release
  * Bump required version of python-cryptography
  * d/patches/Be_more_tolerant_of_exception_messages_from_sqlite.patch:
    Remove, applied upstream
  * Rebased all patches
  * Remove bin/swift-temp-url

 -- Ondřej Nový <onovy@debian.org>  Sat, 09 Dec 2017 22:29:12 +0100

swift (2.15.1-7) unstable; urgency=medium

  * Fix wrong logrotate file
  * Standards-Version is 4.1.2 now (no change)

 -- Ondřej Nový <onovy@debian.org>  Sun, 10 Dec 2017 10:35:18 +0100

swift (2.15.1-6) unstable; urgency=medium

  * d/swift-container-generator: Remove container-reconciler
  * Use dh_missing --fail-missing

 -- Ondřej Nový <onovy@debian.org>  Sat, 09 Dec 2017 22:00:34 +0100

swift (2.15.1-5) unstable; urgency=medium

  * Create /var/log/swift and /var/lib/swift only during postinst
  * Change WorkingDirectory to ~
  * Use pkgos_var_user_group instead of pkgos_adduser in postinst
  * Create /var/cache/swift in SysV init script

 -- Ondřej Nový <onovy@debian.org>  Sat, 02 Dec 2017 19:45:07 +0100

swift (2.15.1-4) unstable; urgency=medium

  * Use tmpfiles.d, CacheDirectory and RuntimeDirectory instead of
    ExecStartPre
  * Set owner of /var/log/swift to root
  * d/tests/daemon: Require isolation-container

 -- Ondřej Nový <onovy@debian.org>  Sat, 02 Dec 2017 15:04:11 +0100

swift (2.15.1-3) unstable; urgency=medium

  * d/copyright: Add missing copyright holders

 -- Ondřej Nový <onovy@debian.org>  Mon, 06 Nov 2017 09:15:02 +0100

swift (2.15.1-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Sun, 05 Nov 2017 21:12:27 +0100

swift (2.15.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Bump required version of (build-)depends for new upstream release
  * d/p/syslog_log_name.patch: rebase
  * d/p/Be_more_tolerant_of_exception_messages_from_sqlite.patch:
    fix sqlite error (Closes: #877298)
  * Don't restart rsyslog in postrm/postinst, it's done by trigger
  * d/copyright: Bump copyright years
  * Install swift-object-relinker
  * Install guide is now part of main docs
  * d/control
    - Don't depend on dh-systemd, it's not needed in new debhelper
    - Remove deprecated ${python:Provides}
  * Use python3-sphinx for building docs
  * d/tests/help: Add swift-object-relinker
  * Updating standards version to 4.1.1.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.

 -- Ondřej Nový <onovy@debian.org>  Tue, 31 Oct 2017 14:43:03 +0100

swift (2.10.2-1) unstable; urgency=medium

  * New upstream stable release
  * Removed patches applied upstream:
    - Quarantine_malformed_database_schema_SQLite_errors.patch
    - For_any_part_only_one_replica_can_move_in_a_rebalance.patch
    - FTBFS_i386.patch

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Jun 2017 13:35:44 +0200

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-exec,
 dh-python,
 openstack-pkg-tools (>= 57~),
 python-all,
 python-pbr,
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage,
 python-cryptography,
 python-dnspython,
 python-eventlet,
 python-greenlet,
 python-keystoneclient,
 python-mock,
 python-netifaces,
 python-nose,
 python-nose-exclude,
 python-nosehtmloutput,
 python-nosexcover,
 python-openssl,
 python-openstack.nose-plugin,
 python-openstackdocstheme (>= 1.11.0),
 python-os-api-ref (>= 1.0.0),
 python-os-testr (>= 0.8.0),
 python-pastedeploy,
 python-pyeclib,
 python-six,
 python-swiftclient,
 python-xattr,
 python3-oslosphinx,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/swift
Vcs-Git: https://salsa.debian.org/openstack-team/services/swift.git
Homepage: https://github.com/openstack/swift

Package: python-swift
Architecture: all
Section: python
Depends:
 adduser,
 python-cryptography,
 python-dnspython,
 python-eventlet,
 python-greenlet,
 python-netifaces,
 python-openssl,
 python-pastedeploy,
 python-pyeclib,
 python-six,
 python-xattr,
 ${misc:Depends},
 ${python:Depends},
Description: distributed virtual object store - Python libraries
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends:
 logrotate,
 python-swift (=${binary:Version}),
 rsyslog,
 ${misc:Depends},
 ${python:Depends},
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Depends:
 lsb-base,
 python-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Depends:
 lsb-base,
 python-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 libjs-underscore,
 python-os-api-ref-common,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-drive-audit
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: distributed virtual object store - drive audit
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift drive audit tool.

Package: swift-object
Architecture: all
Depends:
 lsb-base,
 python-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 swift-drive-audit,
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-object-expirer
Architecture: all
Depends:
 lsb-base (>= 3.0-6),
 python-swift (=${binary:Version}),
 rsync,
 swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: distributed virtual object store - object-expirer
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -f debian/*.upstart
	rm -f debian/*.init
	rm -f debian/*.service
	rm -f debian/python-swift.postinst
	rm -f $(CURDIR)/swift-test.conf

# build with sphinx documentation
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	dh_auto_build
	PYTHONPATH=. sphinx-build doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/base
	PYTHONPATH=. sphinx-build api-ref/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/api-ref
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	echo "[unit_test]\nfake_syslog = True" > $(CURDIR)/swift-test.conf
	SWIFT_TEST_CONFIG_FILE=$(CURDIR)/swift-test.conf PYTHONPATH=. nosetests -v test/unit --exe \
		--exclude-test=test.unit.common.test_utils.TestUtils.test_get_logger_sysloghandler_plumbing
	rm -f $(CURDIR)/swift-test.conf
endif

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func python-swift.postinst

override_dh_install:
	rm debian/tmp/usr/bin/swift-init

	# Create the init scripts and systemd unit files from the template
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed s/.init.in//` ; \
		cp $$i $$MYINIT.init ; \
		cat debian/init-script-template >>$$MYINIT.init ; \
		debian/gen-systemd-unit $$i ; \
	done

	dh_install
	rm -rf debian/python-swift/usr/lib/python*/dist-packages/test

gen-init-configurations:
	# Create the init scripts and systemd unit files from the template
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed s/.init.in//` ; \
		cp $$i $$MYINIT.init ; \
		cat debian/init-script-template >>$$MYINIT.init ; \
		debian/gen-systemd-unit $$i ; \
	done

override_dh_systemd_enable: gen-init-configurations
	echo "Do nothing"

override_dh_systemd_start:
	echo "Do nothing"

override_dh_installinit: gen-init-configurations
	set -e ; for i in $(sort $(wildcard debian/*.init.in)) ; do \
		MYINIT=`echo $$i | sed -e s/.init.in// -e s:debian/::` ; \
		INITPKG=`echo $$MYINIT | cut -d. -f1` ; \
		INITNAME=`echo $$MYINIT | cut -d. -f2` ; \
		echo "Package: $$INITPKG Init: $$INITNAME" ; \
		dh_systemd_enable -p$$INITPKG --name=$$INITNAME ; \
		case $$INITNAME in \
		swift-object-expirer|swift-container-reconciler) \
			dh_installinit --error-handler=true --restart-after-upgrade -p$$INITPKG --name=$$INITNAME ;; \
		*) \
			dh_installinit --error-handler=true --restart-after-upgrade -p$$INITPKG --name=$$INITNAME ; \
			cp debian/$$INITPKG.$$INITNAME@.service debian/$$INITPKG/lib/systemd/system/$$INITNAME@.service ;; \
		esac ; \
		dh_systemd_start -p$$INITPKG --name=$$INITNAME ; \
	done

override_dh_installdocs:
	dh_installdocs

	dh_installdocs -A AUTHORS

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: help
Depends: swift-proxy,
         swift-object,
         swift-container,
         swift-account,
         swift-object-expirer,
         swift-drive-audit,

Tests: daemons
Depends: wget,
         swift-proxy,
         swift-object,
         swift-container,
         swift-account,
         swift-object-expirer,
Restrictions: needs-root, isolation-container

Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import swift; print swift" ; done
Depends: python-all, python-swift

## swift 2.17.1

=== debian/changelog ===
swift (2.17.1-0ubuntu1) bionic; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Queens (LP: #1818069).

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/queens branch.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 06 Mar 2019 10:17:00 +0100

swift (2.17.0-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/p/*: Rebase.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 09:24:36 -0500

swift (2.16.0-0ubuntu2) bionic; urgency=medium

  * d/rules, d/swift-doc.docs: Adjust sphinx-build command and drop
    swift-doc.docs as the sphinx-build command already installs the files in
    the temp directory.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Nov 2017 14:07:55 -0500

swift (2.16.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebase, drop patches accepted upstrea or no longer needed.
  * d/compat: Bump to 9, inline with BD.
  * d/swift.install: Drop swift-temp-url, no long shipped.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Nov 2017 10:40:50 +0000

=== debian/control ===
Source: swift
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soren Hansen <soren@ubuntu.com>
Uploaders:
 Monty Taylor <mordred@inaugust.com>,
 Greg Holt <gholt@rackspace.com>,
 Jay Payne <letterj@racklabs.com>,
 Michael Barton <michael.barton@rackspace.com>,
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 libjerasure2,
 python-cffi,
 python-coverage (>= 3.6),
 python-cryptography (>= 1.9),
 python-dnspython (>= 1.14.0),
 python-eventlet (>= 0.17.4),
 python-greenlet (>= 0.4.10),
 python-hacking (>= 0.11.0),
 python-keystoneclient (>= 1:2.0.0),
 python-mock (>= 2.0.0),
 python-netifaces (>= 0.5),
 python-nose,
 python-nosehtmloutput (>= 0.0.3),
 python-openstackdocstheme (>= 1.17.0),
 python-os-api-ref (>= 1.0.0),
 python-os-testr (>= 1.0.0),
 python-pastedeploy (>= 1.3.3),
 python-pyeclib (>= 1.3.1),
 python-six (>= 1.9.0),
 python-swiftclient,
 python-xattr (>= 0.4),
Standards-Version: 4.1.2
Homepage: http://launchpad.net/swift
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
XS-Testsuite: autopkgtest

Package: python-swift
Architecture: all
Section: python
Depends:
 adduser,
 libjerasure2,
 python-cryptography (>= 1.9),
 python-dnspython (>= 1.14.0),
 python-eventlet (>= 0.17.4),
 python-greenlet (>= 0.4.10),
 python-netifaces (>= 0.5),
 python-pastedeploy (>= 1.3.3),
 python-pyeclib (>= 1.3.1),
 python-six (>= 1.9.0),
 python-xattr (>= 0.4),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - Python libraries
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Python libraries that actually implement
 everything.

Package: swift
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Suggests:
 swift-bench,
Description: distributed virtual object store - common files
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides some core binaries and clients to control swift.

Package: swift-account
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - account server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift account server.

Package: swift-container
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - container server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift container server.

Package: swift-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: distributed virtual object store - documentation
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Sphinx generated documentation for Swift.

Package: swift-object
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 rsync,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
Description: distributed virtual object store - object server
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the swift object server.

Package: swift-object-expirer
Architecture: all
Depends:
 python-swift (=${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Breaks:
 swift (<< 1.13.1~rc1-0ubuntu1~),
 swift-object (<< 1.12.0-0ubuntu2),
Replaces:
 swift (<< 1.13.1~rc1-0ubuntu1~),
 swift-object (<< 1.12.0-0ubuntu2),
Description: distributed virtual object store - object expirer
 OpenStack Object Storage (code-named Swift) is open source software for
 creating redundant, scalable object storage using clusters of standardized
 servers to store petabytes of accessible data. It is not a file system or
 real-time data storage system, but rather a long-term storage system for a
 more permanent type of static data that can be retrieved, leveraged, and then
 updated if necessary. Primary examples of data that best fit this type of
 storage model are virtual machine images, photo storage, email storage and
 backup archiving. Having no central "brain" or master point of control
 provides greater scalability, redundancy and permanence.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

# clean sphinx build output
override_dh_clean:
	dh_clean
	rm -rf doc/build

# build with sphinx documentation
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/swift-doc/usr/share/doc/swift-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=. nosetests test/unit
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install --fail-missing --sourcedir=debian/tmp
	install -D -m 0640 $(CURDIR)/debian/account-server.conf $(CURDIR)/debian/swift-account/etc/swift/account-server.conf
	install -D -m 0640 $(CURDIR)/debian/container-server.conf $(CURDIR)/debian/swift-container/etc/swift/container-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-server.conf $(CURDIR)/debian/swift-object/etc/swift/object-server.conf
	install -D -m 0640 $(CURDIR)/debian/object-expirer.conf $(CURDIR)/debian/swift-object-expirer/etc/swift/object-expirer.conf

override_dh_installinit:
	dh_installinit --no-start
	dh_installinit --no-start -pswift-container --name=swift-container-replicator
	dh_installinit --no-start -pswift-container --name=swift-container-auditor
	dh_installinit --no-start -pswift-container --name=swift-container-updater
	dh_installinit --no-start -pswift-container --name=swift-container-sync
	dh_installinit --no-start -pswift-account --name=swift-account-replicator
	dh_installinit --no-start -pswift-account --name=swift-account-auditor
	dh_installinit --no-start -pswift-account --name=swift-account-reaper
	dh_installinit --no-start -pswift-object --name=swift-object-replicator
	dh_installinit --no-start -pswift-object --name=swift-object-auditor
	dh_installinit --no-start -pswift-object --name=swift-object-updater
	dh_installinit --no-start -pswift-object --name=swift-object-reconstructor

override_dh_compress:
	dh_compress -Xconf-sample

## swift 2.19.0

=== debian/changelog ===
swift (2.19.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/swift.install: Install binary for new CLI client swift-ring-composer.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:33:03 -0400

swift (2.18.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/swift-container.install, d/swift.install,
    swift-container.swift-container-sharder.init: Install
    usr/bin/swift-container-sharder and usr/bin/swift-manage-shard-ranges and
    add init file for swift-container-sharder.
  * d/control: Update Standards-Version to 4.1.4.
  * d/control, d/tests/*: Drop obsolete autopkgtest header and enable
    autopkgtest-pkg-python testsuite.
  * d/control, d/watch: Use https URLs.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 15:14:00 -0400

=== debian/control ===
--- 
+++ 
@@ -25,26 +25,35 @@
  python-cryptography (>= 1.9),
  python-dnspython (>= 1.14.0),
  python-eventlet (>= 0.17.4),
+ python-fixtures (>= 3.0.0),
  python-greenlet (>= 0.4.10),
  python-hacking (>= 0.11.0),
+ python-ipaddress (>= 1.0.16),
  python-keystoneclient (>= 1:2.0.0),
- python-mock (>= 2.0.0),
+ python-keystonemiddleware (>= 4.17.0),
+ python-lxml (>= 3.4.1),
+ python-mock (>= 2.0),
  python-netifaces (>= 0.5),
- python-nose,
+ python-nose (>= 1.3.7),
+ python-nosexcover (>= 1.0.10),
  python-nosehtmloutput (>= 0.0.3),
+ python-openstackclient (>= 3.12.0),
  python-openstackdocstheme (>= 1.17.0),
  python-os-api-ref (>= 1.0.0),
  python-os-testr (>= 1.0.0),
  python-pastedeploy (>= 1.3.3),
  python-pyeclib (>= 1.3.1),
+ python-reno (>= 1.8.0),
+ python-requests (>= 2.14.2),
+ python-requests-mock (>= 1.2.0),
  python-six (>= 1.9.0),
- python-swiftclient,
+ python-swiftclient (>= 1:3.2.0),
  python-xattr (>= 0.4),
-Standards-Version: 4.1.2
-Homepage: http://launchpad.net/swift
+Standards-Version: 4.1.4
+Homepage: https://launchpad.net/swift
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
-XS-Testsuite: autopkgtest
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
+Testsuite: autopkgtest-pkg-python
 
 Package: python-swift
 Architecture: all
@@ -56,9 +65,12 @@
  python-dnspython (>= 1.14.0),
  python-eventlet (>= 0.17.4),
  python-greenlet (>= 0.4.10),
+ python-ipaddress (>= 1.0.16),
+ python-lxml (>= 3.4.1),
  python-netifaces (>= 0.5),
  python-pastedeploy (>= 1.3.3),
  python-pyeclib (>= 1.3.1),
+ python-requests (>= 2.14.2),
  python-six (>= 1.9.0),
  python-xattr (>= 0.4),
  ${misc:Depends},
@@ -280,9 +292,3 @@
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
  servers to store petabytes of accessible data. It is not a file system or
- real-time data storage system, but rather a long-term storage system for a
- more permanent type of static data that can be retrieved, leveraged, and then
- updated if necessary. Primary examples of data that best fit this type of
- storage model are virtual machine images, photo storage, email storage and
- backup archiving. Having no central "brain" or master point of control
- provides greater scalability, redundancy and permanence.

=== debian/tests/control ===
Tests: swift-daemons
Depends: swift, swift-proxy, swift-object, swift-container, swift-account
Restrictions: needs-root
